package com.app.ydl.marketing.dao;

import com.app.framework.core.support.mapper.CrudBaseMapper;
import com.app.ydl.marketing.model.LandingChannelWxmpAccessRecord;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
@DS("ydl_marketing")
public interface LandingChannelWxmpAccessRecordDao extends CrudBaseMapper<LandingChannelWxmpAccessRecord> {

    Page<Map<String, Object>> selectJoinWxcorpList(Page<Map<String, Object>> page, @Param("ffromList") List<String> ffromList, @Param("startTime") String startTime, @Param("endTime") String endTime);

    Page<Map<String, Object>> selectUnJoinWxcorpList(Page<Map<String, Object>> page, @Param("ffromList") List<String> ffromList, @Param("startTime") String startTime, @Param("endTime") String endTime);
}