<#macro contextPath>
    <#compress>
        ${request.getContextPath()}
    </#compress>
</#macro>

<#macro title>
    <#compress>
        <title>${app.title!""}</title>
    </#compress>
</#macro>

<#macro meta>
    <#compress>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1" />
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
        <meta name="renderer" content="webkit" />
        <!--[if lt IE 9]>
        <meta http-equiv="refresh" content="0;ie.html" />
        <![endif]-->
    </#compress>
</#macro>

<#macro seoMeta>
    <#compress>
        <@meta/>
        <meta name="title" content="${seo.title}" />
        <meta name="keywords" content="${seo.keywords}" />
        <meta name="description" content="${seo.description}" />
    </#compress>
</#macro>